| vrnaalifoldpf

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

RNA alignment folding with partition

## Description

This is a port of the Vienna RNA package program RNAalifold.

The original program produces different outputs, depending on the options selected. In the EMBASSY implementation it is split into vrnaalifold and vrnaalifoldpf

## Algorithm

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with vrnaalifoldpf

    % vrnaalifoldpf
    RNA alignment folding with partition
    Input (aligned) nucleotide sequence set: ecoli6s.fasta
    Vienna RNAfold output file [ecoli6s.vrnaalifoldpf]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    RNA alignment folding with partition
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqset     (Aligned) nucleotide sequence set filename
                                      and optional format, or reference (input
                                      USA)
      [-outfile]           outfile    [*.vrnaalifoldpf] Vienna RNAfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -constraintfile     infile     Vienna RNA structure constraints file
                                      (optional)
       -paramfile          infile     Vienna RNA parameters file (optional)
       -temperature        float      [37.0] Temperature (Any numeric value)
       -[no]gu             boolean    [Y] Allow GU pairs
       -[no]closegu        boolean    [Y] Allow GU pairs at end of helices
       -[no]lp             boolean    [Y] Allow lonely pairs
       -[no]convert        boolean    [Y] Convert T to U
       -nsbases            string     Non-standard bases (Any string)
       -[no]tetraloop      boolean    [Y] Stabilizing energies for tetra-loops
       -circular           boolean    [N] Circular RNA
       -colour             boolean    [N] Colour structure plot
       -energy             menu       [0] Rarely used option to fold sequences
                                      from the ABCD... alphabet (Values: 0 (BP); 1
                                      (Any with GC); 2 (Any with AU parameters))
       -scale              float      [1.07] Estimate of ensemble free energy (Any
                                      numeric value)
       -dangles            menu       [2] Method (Values: 0 (Ignore); 1 (Only
                                      unpaired bases for just one dangling end); 2
                                      (Always use dangling energies); 3 (Allow
                                      coaxial stacking of adjacent helices))
       -covariance         float      [1.0] Weight for covariance (Any numeric
                                      value)
       -nspenalty          float      [1.0] Non-compatible sequence penalty (Any
                                      numeric value)
       -endgaps            boolean    [N] Mark end gaps
       -most               boolean    [N] Use most informative sequence algorithm
       -dotoutfile         outfile    [*.vrnaalifoldpf] Vienna dotplot postscript
                                      output file (optional)
       -ssoutfile          outfile    [*.vrnaalifoldpf] Vienna RNA structure
                                      postscript output file
       -alignoutfile       outfile    [*.vrnaalifoldpf] Vienna RNA alignment
                                      postscript output file (optional)

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       "-dotoutfile" associated qualifiers
       -odirectory         string     Output directory

       "-ssoutfile" associated qualifiers
       -odirectory         string     Output directory

       "-alignoutfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqset | (Aligned) nucleotide sequence set filename and optional format, or reference (input USA) | Readable set of sequences | Required
[-outfile] (Parameter 2) | outfile | Vienna RNAfold output file | Output file | <*>.vrnaalifoldpf
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-constraintfile | infile | Vienna RNA structure constraints file (optional) | Input file | Required
-paramfile | infile | Vienna RNA parameters file (optional) | Input file | Required
-temperature | float | Temperature | Any numeric value | 37.0
-[no]gu | boolean | Allow GU pairs | Boolean value Yes/No | Yes
-[no]closegu | boolean | Allow GU pairs at end of helices | Boolean value Yes/No | Yes
-[no]lp | boolean | Allow lonely pairs | Boolean value Yes/No | Yes
-[no]convert | boolean | Convert T to U | Boolean value Yes/No | Yes
-nsbases | string | Non-standard bases | Any string |
-[no]tetraloop | boolean | Stabilizing energies for tetra-loops | Boolean value Yes/No | Yes
-circular | boolean | Circular RNA | Boolean value Yes/No | No
-colour | boolean | Colour structure plot | Boolean value Yes/No | No
-energy | list | Rarely used option to fold sequences from the ABCD... alphabet |
0 | (BP)
1 | (Any with GC)
2 | (Any with AU parameters)
| 0
-scale | float | Estimate of ensemble free energy | Any numeric value | 1.07
-dangles | list | Method |
0 | (Ignore)
1 | (Only unpaired bases for just one dangling end)
2 | (Always use dangling energies)
3 | (Allow coaxial stacking of adjacent helices)
| 2
-covariance | float | Weight for covariance | Any numeric value | 1.0
-nspenalty | float | Non-compatible sequence penalty | Any numeric value | 1.0
-endgaps | boolean | Mark end gaps | Boolean value Yes/No | No
-most | boolean | Use most informative sequence algorithm | Boolean value Yes/No | No
-dotoutfile | outfile | Vienna dotplot postscript output file (optional) | Output file | <*>.vrnaalifoldpf
-ssoutfile | outfile | Vienna RNA structure postscript output file | Output file | <*>.vrnaalifoldpf
-alignoutfile | outfile | Vienna RNA alignment postscript output file (optional) | Output file | <*>.vrnaalifoldpf
Associated qualifiers
"-sequence" associated seqset qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
"-dotoutfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
"-ssoutfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
"-alignoutfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

vrnaalifoldpf reads any normal sequence USAs.

### Input files for usage example

### File: ecoli6s.fasta

    >X01238.1/1-183
    AUUUCUCUGAGAUGUUCGCAAGCGGGC.CAGUCCCCUGAGCCGAUAUUUCAUACCACAAG
    AAUGUGGCGCUCCGCGGUUGGUGAGCAUGCUCGGUCCGU...............CCGAGA
    AGCCUUAAAACUGCGACGACACAUUCACCUUGAACCAA.GGGUUCAAGGGUUACAGCCUG
    CGGCGGCA.UC.UCGGAG.AUUC
    >AL627277.1/108623-108805
    AUUUCUCUGAGAUGUUUGCAAGCGGGC.CAGUCCCCUGAGCCGAUAUUUCAUACCACAAG
    AAUGUGGCGCUCCGCGGUUGGUGAGCAUGCUCGGUUCGU...............CCGAGA
    AGCCUUAAAACUGUGACGACACAUUCACCUUGAACCAA.GGGUUCAAGGGUUACAGCCUG
    CGGCGGCA.UC.UCGGAG.AUUC
    >AJ414145.1/90993-91174
    AUUUCUCUGAGGUGUUUGCCAGCGGGC.CAGUCCCCUGAGCCGAUAUUUAAUACCAACAG
    AAUGUAGUGCUCCGUAACCGGUGAGCAUGCUCGGUCCG................CCGAGA
    AGCCUUAAGGUUGCGACGCUGCGUUCACCUUGAACCAA.GGGUUCAAGGGUUACAGCCUG
    CGACGGCA.CC.UCGGAG.AUCC
    >U32767.1/6538-6734
    .AUUACCUGGAGUGUUCGUCAGUAGGC.UAUGUCCCUGAGCCGAUACUUUAAAUCUUAUA
    AAUU.GGUUUCCUAUCGUUGGUGUGUAGGCUUAACCUUUGACUCGUUCAUUGGGCUAAGA
    AACCUGAAAACGGUAUCAACUGAUUU.CCUUGAACCGUCGGGUUCAAGGACUACUGCCCG
    CAGCGGCACUC.UGGGGU.CUUC
    >AE006208.1/8365-8185
    .AUUACCUGAGGUGUUUGCCAGUGGGU.UAUGUCCCUGAGCCGAUACUUU.UAUUUUAUG
    AAUC.GGUUUCUAAUUGUUGGUGUGCAUGCUUAGCUUGA...............CUAAGA
    AGCCUAAAAAUAGUUAUAACUGAUUC.CCUUGAACCGUUGGGUUCAAGGACUGAGACUUG
    CAGCGGCA.UC.UCGGGUUCUUC
    >Y00334.1/77-254
    CGCUCCCUGGUGUGUUGGCCAGUCGGU.GAUGUCCCUGAGCCGAUAACUGCAACAAC..G
    GAGGUUGC.CAGUUGGACCGGUGUGCAUGUCCGCACG.................ACGGAA
    AGCCUUAAGGUCUAC.UGCAACCGCCACCUUGAACUUUCGGGUUCAAGGGCUA.ACCCGA
    CAGCGGCA.CGACCGGGG.AGCU
    >AE004317.1/5626-5807
    UUUACCCUGGGGUGUUCGUCAGCGGAUUUAUGUCCCUGAGCCGAUAAGCAACAUAAC..A
    GGGUUGGUAUUGGGUAGCUAUUGAGCAAGCUCGGCUUGUA..............CCGAGA
    AGCCUGCGGUUACCAUUACUGAUCCG.CCUUGAACCUGAUGGUUCAAGGGCUACGAUCCU
    CAACGGCA.UC.CCGGGG.UUC.

## Output file format

vrnaalifoldpf outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### Graphics File: ecoli6s.ssps

### Graphics File: ecoli6s.ps

### Graphics File: ecoli6s.alirnaps

### File: ecoli6s.vrnaalifoldpf

    AUUUCCCUGAGGUGUUCGCCAGCGGGC_CAUGUCCCUGAGCCGAUAUUUAAUACCACAAGAAUGUGGUGCUCCGUGGUUGGUGAGCAUGCUCGGCCCGU_______________CCGAGAAGCCUUAAAAUUGCGACGACACAUUCACCUUGAACCAA_GGGUUCAAGGGCUACAGCCUGCAGCGGCA_UC_UCGGGG_AUUC
    ....(((((((((((.(((..((((((................................(((((((......(((((((...(.((...(((((....................)))))..)))....)))))))....))))))).(((((((((....)))))))))......)))))).)))))).)).))))))..... (-56.91 = -48.71 +  -8.20)
    ....(((((((((({{(((..((((((................................(((((((......(((((((...{.((...(((((....................)))))..)),....)))))))..,.))))))).(((((((((....)))))))))......)))))).)))))).)).))))))..... [-59.30]
     frequency of mfe structure in ensemble 0.0206905

    # Alignment section

    7 sequences; length of alignment 203
    alifold output
       64   142  0 100.0%   0.000 CG:1    GC:4    UG:1    UA:1
       63   143  0  99.9%   0.002 GC:1    GU:1    UG:1    UA:4
       74   134  0  99.8%   0.005 GC:3    GU:1    AU:2    UA:1
       77   131  0 100.0%   0.001 GC:3    GU:2    AU:2
       10   193  0  99.8%   0.006 GC:2    GU:1    AU:4
       76   132  1  99.9%   0.003 CG:1    GC:1    GU:2    AU:1    UA:1
       79   129  0  99.3%   0.032 CG:2    UG:1    UA:4
       66   140  0  98.3%   0.056 GC:4    GU:1    AU:1    UA:1
       92   117  0 100.0%   0.000 CG:5    UA:2
       91   118  0 100.0%   0.001 CG:1    UA:6
        6   197  0 100.0%   0.001 CG:4    UA:3
       90   119  0  99.9%   0.003 CG:6    UA:1
       61   145  0  99.8%   0.005 GC:2    AU:5
       93   116  0  99.8%   0.007 GC:5    AU:2
       75   133  1  99.9%   0.003 CG:2    GU:1    UG:3
        7   196  0 100.0%   0.000 CG:7
       78   130  1  99.9%   0.010 CG:2    UA:4
        8   195  0  99.8%   0.007 UG:7
       62   144  1  99.7%   0.010 GC:1    AU:5
        9   194  1  99.9%   0.003 GC:6
       86   122  0  98.0%   0.083 CG:6    UA:1
       65   141  2  99.1%   0.028 UG:2    UA:3
       60   146  1  98.4%   0.050 GC:5    AU:1
      152   165  0  98.0%   0.170 GC:7
      155   162  0  98.0%   0.170 CG:7
       85   123  0  97.9%   0.102 GC:7
      153   164  0  97.9%   0.141 AU:7
      154   163  0  97.9%   0.142 AU:7
      151   166  0  97.5%   0.170 UA:7
        5   198  0  96.3%   0.110 CG:5    AU:2
      150   167  0  96.2%   0.158 UA:7
       25   178  0  95.2%   0.329 GC:6    GU:1
       26   177  0  95.1%   0.319 GC:6    AU:1
       23   180  1  95.0%   0.199 CG:3    UG:2    UA:1
       24   179  1  95.0%   0.320 CG:1    GC:1    GU:4
       22   181  0  93.7%   0.311 GC:7
      149   168  0  93.7%   0.404 CG:7
      156   161  0  92.4%   0.322 CG:6    UG:1
       27   176  1  91.6%   0.277 CG:4    UA:2
       18   184  0  90.9%   0.490 GC:7
       73   135  2  88.8%   0.331 CG:3    AU:1    UA:1

      [Part of this file has been deleted for brevity]

       25    36  0   0.6%   0.518 GC:7    +
       24    37  1   0.6%   0.725 GU:5    AU:1    +
       85   124  0   0.3%   0.462 GC:7    +
      101   107  0   0.3%   0.080 AU:1    --:6    +
       16   188  0   0.3%   0.831 UA:7    +
      102   114  0   0.2%   0.070 CG:1    --:6    +
      103   113  0   0.2%   0.070 UG:1    --:6    +
      104   112  0   0.2%   0.052 CG:1    --:6    +
       34    38  0   0.2%   0.894 CG:7    +
       16    25  0   0.2%   0.927 UG:7    +
      101   110  0   0.2%   0.061 AU:1    --:6    +
       34    43  0   0.2%   0.658 CG:7    +
       38    42  0   0.2%   0.938 GC:7    +
       37    43  0   0.1%   0.727 UG:7    +
      105   111  0   0.1%   0.030 GU:1    --:6    +
      101   106  0   0.1%   0.063 AU:1    --:6    +
      148   152  0   0.1%   0.237 CG:7    +
       35    43  0   0.1%   0.641 CG:7    +
       25    35  0   0.1%   0.629 GC:7    +
       84   126  2   0.1%   0.039 UG:1    AU:3    UA:1    +
      103   114  0   0.1%   0.071 UG:1    --:6    +
      107   114  0   0.1%   0.072 UG:1    --:6    +
       36   169  0   0.1%   0.882 CG:7    +
      156   160  1   0.1%   0.158 CG:5    UG:1    +
      104   113  0   0.1%   0.058 CG:1    --:6    +
       15   188  0   0.1%   0.501 UA:7    +
       35    40  0   0.1%   0.939 CG:7    +
      155   160  1   0.5%   0.136 CG:6    +
       26    35  1   0.5%   0.639 GC:6    +
       81   126  2   0.2%   0.101 GU:4    UG:1    +
       40    47  2   0.2%   0.584 GC:2    GU:3    +
       81   123  1   0.4%   0.129 GC:6    +
       80   124  1   0.4%   0.460 GC:6    +
      151   157  2   0.2%   0.073 UG:2    UA:3    +
       70   135  2   0.2%   0.499 CG:3    UA:2    +
       82   127  1   0.3%   0.077 UA:6    +
       81   125  1   0.3%   0.339 GU:6    +
       19   182  2   0.1%   0.249 CG:3    UA:2    +
       67    72  2   0.1%   0.036 GC:4    GU:1    +
       79   128  2   0.1%   0.028 UG:1    UA:4    +
       81   124  1   0.2%   0.483 GC:6    +
      149   160  1   0.2%   0.141 CG:6    +
       14   191  1   0.1%   0.284 GC:6    +
       26    34  1   0.1%   0.634 GC:6    +
      148   160  1   0.1%   0.241 CG:6    +
       44    49  1   0.1%   0.062 AU:6    +
       39    48  2   0.2%   0.416 AU:5    +
       35   170  2   0.2%   1.006 CG:5    +
       24    36  2   0.1%   0.486 GC:5    +
       20    25  2   0.1%   0.419 CG:5    +
    ....(((((((((({{(((..((((((................................(((((((......(((((((...{.((...(((((....................)))))..)),....)))))))..,.))))))).(((((((((....)))))))))......)))))).)))))).)).)))))).....

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
einverted | Finds inverted repeats in nucleotide sequences
vrnaalifold | RNA alignment folding
vrnacofold | RNA cofolding
vrnacofoldconc | RNA cofolding with concentrations
vrnacofoldpf | RNA cofolding with partitioning
vrnadistance | RNA distances
vrnaduplex | RNA duplex calculation
vrnaeval | RNA eval
vrnaevalpair | RNA eval with cofold
vrnafold | Calculate secondary structures of RNAs
vrnafoldpf | Secondary structures of RNAs with partition
vrnaheat | RNA melting
vrnainverse | RNA sequences matching a structure
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnaplot | Plot vrnafold output
vrnasubopt | Calculate RNA suboptimals

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments